*, *::before, *::after {
    box-sizing: border-box;
}

.block-wrap {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    height: 100%;
}

.block-wrap > div {
    width: 100%;
    text-align: center;
}

.btn-microsoft, .btn-google, .btn-fb {
    display: inline-block;
    border-radius: 1px;
    text-decoration: none;
    box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.25);
    transition: background-color 0.218s, border-color 0.218s, box-shadow 0.218s;
}

.btn-microsoft .microsoft-content, .btn-google .google-content, .btn-google .fb-content, .btn-fb .google-content, .btn-fb .fb-content {
    display: flex;
    align-items: center;
    width: 300px;
    height: 50px;
}

.btn-microsoft .microsoft-content .logo, .btn-google .google-content .logo, .btn-google .fb-content .logo, .btn-fb .google-content .logo, .btn-fb .fb-content .logo {
    padding: 10px 0 0 15px;
    height: inherit;
}

.btn-microsoft .microsoft-content svg, .btn-google .google-content svg, .btn-google .fb-content svg, .btn-fb .google-content svg, .btn-fb .fb-content svg {
    width: 25px;
    height: 25px;
}

.btn-microsoft .microsoft-content p, .btn-google .google-content p, .btn-google .fb-content p, .btn-fb .google-content p, .btn-fb .fb-content p {
    width: 100%;
    line-height: 1;
    letter-spacing: 0.21px;
    text-align: center;
    font-weight: 500;
    font-family: "Roboto", sans-serif;
    padding-top: 15px;
}

.btn-google {
    background: #FFF;
}

.btn-google:hover {
    box-shadow: 0 0 3px 3px rgba(66, 133, 244, 0.3);
}

.btn-google:active {
    background-color: #eee;
}

.btn-google .google-content p {
    color: #757575;
}

.btn-microsoft {
    background: #FFF;
}

.btn-microsoft:hover {
    box-shadow: 0 0 3px 3px rgba(66, 133, 244, 0.3);
}

.btn-microsoft:active {
    background-color: #eee;
}

.btn-microsoft .microsoft-content p {
    color: #757575;
}

.btn-fb {
    padding-top: 1.5px;
    background: #4267b2;
    background-color: #3b5998;
}

.btn-fb:hover {
    box-shadow: 0 0 3px 3px rgba(59, 89, 152, 0.3);
}

.btn-fb .fb-content p {
    color: rgba(255, 255, 255, 0.87);
}
